# Crow: crow::returnable Struct Reference

crow::returnable Struct Referenceabstract

An abstract class that allows any other class to be returned by a handler. More...

`#include <returnable.h>`

Inheritance diagram for crow::returnable:

## Public Member Functions

virtual std::string | dump () const =0
| returnable (std::string ctype)

## Public Attributes

std::string | content_type

## Detailed Description

An abstract class that allows any other class to be returned by a handler.

The documentation for this struct was generated from the following file:

- include/crow/returnable.h